package sim.app.AmaSim;

import sim.engine.*;
import sim.util.*;
import sim.field.continuous.*;
import java.util.ArrayList;
import java.util.List;


public class AmaSimWorld   extends SimState{

static String outDir = "";
static String global_input_file = "";
static String doAnalysis = "";

static int numCom = 1;

public Continuous2D yard   = new Continuous2D(1.0,100,100);
List<Community> comunities = new ArrayList<Community>(); 
public int readyCommunities = 0;

//====================================================
public AmaSimWorld(long seed)
{
    super(seed);
}

//====================================================
public void start(String[] args){
    super.start();
    for (int j = 0; j < numCom; j++)
    {
        //System.out.println ("Mark");
        Community comunity = new Community(System.currentTimeMillis(), j, this);

        comunities.add(comunity);
        schedule.scheduleRepeating(comunity);
        comunity.init();
        comunity.startThread();
    }
    //System.exit(0);

}

//===============================================
public static void main(String[] args){

    System.out.println ("========Simulation Starts======================");

    global_input_file = args[0];
    outDir = args[1];

    if(args.length > 2)
    {
        if(args[2].equals("doAnalysis"))doAnalysis = args[2];
    }

    AmaSimWorld C = new AmaSimWorld(System.currentTimeMillis());

    C.start(args);

}



}//End of file

