@ECHO OFF

rem Saving the classpath so we can restore it at the end.
SET OLDCLASSPATH=%CLASSPATH%


rem Assuming you kept this batch file in MASON_PATH\start
rem MASON_PATH is whatever .. expands to.
set STARTING_POINT=%CD%
cd ..
cd ..
cd ..
SET MASON_PATH=%CD%

SET MASON_JAR=%MASON_PATH%\all_jar
SET MASON_HOME=%MASON_PATH%\jar
SET JTS_PATH=%MASON_PATH%\jts
SET MASON_CHART_LIB=%MASON_PATH%\chart_lib
SET GEO_PATH=%MASON_PATH%\geo_mason_lib
SET CLONING=%MASON_PATH%\cloning
SET POI=%MASON_PATH%\poi

rem ECHO %MASON_PATH%

rem adding all jars in the jar directory to the classpath.

rem (for /F %%f IN ('dir /b /a-d "%MASON_JAR%\*.jar"') do call ignoreme.bat %MASON_JAR%\%%f%) 2>nul
(for /F %%f IN ('dir /b /a-d "%MASON_JAR%\*.jar"') do call ignoreme.bat %MASON_JAR%\%%f%) 

ECHO %MASON_JAR%
ECHO %CLASSPATH%

cd %STARTING_POINT%
"C:\Program Files\Java\jdk1.8.0_77\bin\javac.exe"  *.java
cd %MASON_PATH%

ECHO compiled

"C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim testNoMov.params testNoMov Comm0 noCalibration 

rem -----------------------------
rem  "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim test.params test Comm0 noCalibration 
rem "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim highRisk100Prot.params highRisk100Prot Comm0 noCalibration 
rem "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim highRisk100Prot.params highRisk100Prot Comm0 noCalibration doAnalysis

REM "C:\Program Files\Java\jdk1.8.0_77\bin\javac.exe"  *.java
cd %MASON_PATH%

rem "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim test.params test Comm16 noCalibration doAnalysis
REM "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim test.params test10 Comm16 noCalibration doAnalysis
REM "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim test.params test90 Comm16 noCalibration doAnalysis



REM "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim calibratedMovementProtected.params calibratedMovementProtected Comm0 noCalibration doAnalysis
rem -----------------------
rem "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim calibratedMovement.params calibratedMovement Comm0 noCalibration doAnalysis
rem "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim calibratedNoMovementNoProtected.params calibratedNoMovementNoProtected Comm0 noCalibration doAnalysis


rem "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim highRisk500Prot.params highRisk00Prot Comm0 noCalibration doAnalysis

rem "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim calibratedMovementProtected.params calibratedMovementProtected Comm0 noCalibration doAnalysis


REM "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim calibrated.params calibrated Comm0 noCalibration doAnalysis

REM "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim test.params testMov Comm0 noCalibration doAnalysis
REM "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim test.params test99 Comm0 noCalibration doAnalysis
rem "C:\Program Files\Java\jdk1.8.0_77\bin\java.exe"  -Xmx3200M   sim.app.AmaSim.AmaSim test.params test90a Comm0 noCalibration doAnalysis

cd %STARTING_POINT%

rem Restoring the classpath.
SET CLASSPATH=%OLDCLASSPATH%
